package com.muyu.market.admain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;
import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@TableName(value = "market_belong",autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
public class Belong extends BaseEntity {
    /**
     * 主键
     */
    @TableId(value = "belong_id",type = IdType.AUTO)
    private Long belongId;
    /**
     * 接口名称
     */
    @Schema(type = "String",description = "接口名称")
    private String name;
    /**
     * 价钱/次
     */
    @Schema(type = "BigDecimal",description = "价钱/次")
    private BigDecimal price;
    /**
     * 介绍
     */
    @Schema(type = "String",description = "介绍")
    private String test;
    /**
     * 我的数据
     */
    @Schema(type = "String",description = "我的数据")
    private String data;
    /**
     * 接口名称
     */
    @Schema(type = "String",description = "接口名称")
    private String apiName;
    /**
     * 接口地址
     */
    @Schema(type = "String",description = "接口地址")
    private String ip;
    /**
     * 请求方式
     */
    @Schema(type = "String",description = "请求方式")
    private String mode;
    /**
     * API类型
     */
    @Schema(type = "String",description = "API类型")
    private String type;
    /**
     * 返回报文
     */
    @Schema(type = "String",description = "返回报文")
    private String msgresp;
    /**
     *
     */
    @Schema(type = "String",description = "1")
    private String createBy;
    /**
     *
     */
    @Schema(type = "Date",description = "1")
    private Date createTime;
    /**
     *
     */
    @Schema(type = "String",description = "1")
    private String updateBy;
    /**
     *
     */
    @Schema(type = "Date",description = "sb")
    private Date updateTime;
    /**
     *
     */
    @Schema(type = "String",description = "备注")
    private String remark;
    /**
     * 购买人信息
     */
    @Schema(type = "Integer",description = "购买人信息")
    private Integer userId;
    /**
     * 剩余使用次数
     */
    @Schema(type = "Integer",description = "剩余使用次数")
    private Integer num;
}
