package com.muyu.market.admain;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;

@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "market_msg",autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
public class Msg extends BaseEntity {


    /**
     * 接口文档ID
     */
    @TableId(value = "msg_id",type = IdType.AUTO)
    private Long msgId;
    /**
     * 是否必填
     */
    @Schema(type = "String",description = "姓名")
    private String name;
    /**
     * 是否必填
     */
    @Schema(type = "String",description = "必填")
    private String required;
    /**
     * 请求类型
     */
    @Schema(type = "String",description = "请求类型")
    private String type;
    /**
     * 请求方式 get/post
     */
    @Schema(type = "String",description = "请求方式")
    private String most;

    /**
     * 接口描述
     */
    @Schema(type = "String",description = "请求参数说明")
    private String desc;
    /**
     * 请求参数说明
     */
    @Schema(type = "Long",description = "所对应")
    private Long apiId;
    /**
     * JSON返回示例
     */



    private Date updateTime;
    private String updateBy;
    private String createBy;
    private Date createTime;
    private String remark;


}
