package com.muyu.market.admain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.market.admain.request.MyapiSaveReq;
import com.muyu.market.admain.request.MyapiUpdReq;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;
import java.util.Date;
import java.util.function.Supplier;

@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "market_myapi",autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
public class Myapi extends BaseEntity{
    /**
     * 商品ID
     */
    @TableId(value = "api_id",type = IdType.AUTO)
    private Long apiId;
    /**
     * 接口名称
     */
    @Schema(type = "String",description = "接口名称")
    private String name;
    /**
     * 价钱
     */
    @Schema(description = "价钱/次",type = "BigDecimal")
    private BigDecimal price;
    /**
     * 介绍
     */
    @Schema(type = "String",description = "介绍")
    private String test;
    /**
     * 商品描述
     */
    @Schema(description = "商品描述",type = "String")
    private String data;
    /**
     * 接口名称
     */
    @Schema(description = "接口名称",type = "String")
    private String apiName;
    /**
     * 接口地址
     */
    @Schema(description = "接口地址",type = "String")
    private String ip;
    /**
     * 请求方式
     */
    @Schema(description = "请求方式",type = "String")
    private String mode;
    /*
    API类型
     */
    @Schema(description = "API类型",type = "String")
    private String type;
    /*
    API类型
     */
    @Schema(description = "API返回报文",type = "String")
    private String msgresp;
    /*
    购买触发
     */
    @Schema(description = "购买触发",type = "Integer")
    private Integer buy;
    private String createBy;
    private Date createTime;
    private String updateBy;
    private Date updateTime;
    private String remark;
    public static Myapi SaveMyapiList(MyapiSaveReq myapiSaveReq){

        return Myapi
                .builder()
                .name( myapiSaveReq.getName())
                .price( myapiSaveReq.getPrice())
                .test( myapiSaveReq.getTest())
                .data( myapiSaveReq.getData())
                .apiName( myapiSaveReq.getApiName())
                .ip( myapiSaveReq.getIp())
                .mode( myapiSaveReq.getMode())
                .type( myapiSaveReq.getType())
                .msgresp(myapiSaveReq.getMsgresp())
                .build();
    }


    public static Myapi UpdMyapiList(MyapiUpdReq myapiUpdReq, Supplier<Long> apiId){

        return Myapi
                .builder()
                .apiId(apiId.get())
                .name( myapiUpdReq.getName())
                .price( myapiUpdReq.getPrice())
                .test( myapiUpdReq.getTest())
                .data( myapiUpdReq.getData())
                .apiName( myapiUpdReq.getApiName())
                .ip( myapiUpdReq.getIp())
                .mode( myapiUpdReq.getMode())
                .type( myapiUpdReq.getType())
                .msgresp(myapiUpdReq.getMsgresp())
                .build();
    }



}
