package com.muyu.market.admain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.awt.desktop.ScreenSleepEvent;
import java.math.BigDecimal;
import java.util.Date;

@Data
@AllArgsConstructor
@SuperBuilder
@NoArgsConstructor
@TableName(value = "market_spend",autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
public class Spend extends BaseEntity {

    /**
     * 消费ID
     */
    @TableId(value = "spend_id",type = IdType.AUTO)
    private Long spendId;
    /**
     * 数据模块名称
     */
    @Schema(type = "String",description = "数据模块名称")
    private String name;
    /**
     * 时间周期
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(type = "Date",description = "时间周期")
    private Date spendDay;
    /**
     * 金额
     */
    @Schema(type = "BigDecimal",description = "金额")
    private BigDecimal price;
    /**
     * 消费时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "消费时间",type = "Date")
    private Date spendTime;

    private String createBy;
    private Date createTime;
    private String updateBy;
    private Date updateTime;
    private String remark;

}
