package com.muyu.market.admain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.muyu.common.core.web.domain.BaseEntity;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@EqualsAndHashCode(callSuper = true)
@TableName(value = "sys_logininfor",autoResultMap = true)
@Tag( name="登录日志",description = "记录登录操作")
public class SysLogininfor extends BaseEntity {
    /*
    访问ID
     */
    @TableId(value = "info_id",type = IdType.AUTO)
    private Long infoId;
    /*
    用户账号
     */
    @Schema(description = "用户名",type = "String")
    private String userName;
    /*
    登录IP地址
     */
    @Schema(description = "用户账号",type = "String")
    private String ipaddr;
    /*
    登录状态（0成功 1失败）
     */
    @Schema(description = "登录IP地址",type = "char")
    private Character status;
    /*
    提示信息
     */
    @Schema(description = "登录状态（0成功 1失败）",type = "String")
    private String msg;
    /*
    访问时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "提示信息",type = "Date")
    private Data accessTime;

}
