package com.muyu.market.admain.request;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;
import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@Tag(name = "商品添加", description = "商品添加")
public class MyapiSaveReq {
    /**
     * 商品ID
     */
    @TableId(value = "api_id",type = IdType.AUTO)
    private Long apiId;
    /**
     * 接口名称
     */
    @Schema(type = "String",description = "接口名称")
    private String name;
    /**
     * 价钱
     */
    @Schema(description = "价钱/次",type = "BigDecimal")
    private BigDecimal price;
    /**
     * 介绍
     */
    @Schema(type = "String",description = "介绍")
    private String test;
    /**
     * 商品描述
     */
    @Schema(description = "商品描述",type = "String")
    private String data;
    /**
     * 接口名称
     */
    @Schema(description = "接口名称",type = "String")
    private String apiName;
    /**
     * 接口地址
     */
    @Schema(description = "接口地址",type = "String")
    private String ip;
    /**
     * 请求方式
     */
    @Schema(description = "请求方式",type = "String")
    private String mode;
    /*
    API类型
     */
    @Schema(description = "API类型",type = "String")
    private String type;

    /*
        API类型
         */
    @Schema(description = "API返回报文",type = "String")
    private String msgresp;




}
