package com.muyu.market.admain.request;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import java.math.BigDecimal;
import java.util.Date;

@Data
@AllArgsConstructor
@SuperBuilder
@NoArgsConstructor
@Tag(name = "消费记录表",description = "记录客户消费的数据")
public class SpendReq {

    /**
     * 消费ID
     */
    @TableId(value = "spend_id",type = IdType.AUTO)
    private Long spendId;
    /**
     * 数据块名称
     */
    @Schema(type = "String",description = "数据块名称")
    private String name;
    /**
     * 时间周期
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(type = "Date",description = "时间周期")
    private Date spendDay;
    /**
     * 金额
     */
    @Schema(type = "BigDecimal",description = "金额")
    private BigDecimal price;
    /**
     * 消费时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(type = "Date",description = "消费时间")
    private Date spendTime;
}
