package com.muyu.market.admain.response;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.muyu.market.admain.Record;
import com.muyu.market.admain.Spend;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;
import java.util.Date;

@Data
@AllArgsConstructor
@SuperBuilder
@NoArgsConstructor
@Tag(name = "记录消费",description = "记录客户消费的数据")
public class SpendResp {


    /**
     * 消费Id
     */
    @TableId(value = "spend_id",type = IdType.AUTO)
    private Long spendId;
    /**
     * 数据模块名称
     */
    @Schema(type = "String",description = "数据模块名称")
    private String name;
    /**
     * 时间周期
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(type = "Date",description = "时间周期")
    private Date spendDay;
    /**
     * 金额
     */
    @Schema(type = "BigDecimal",description = "金额")
    private BigDecimal price;
    /**
     * 消费时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(type = "Date",description = "消费时间")
    private Date spendTime;


    public static SpendResp selSpendList(Spend spend){

        return SpendResp
                .builder()
                .spendId(spend.getSpendId())
                .name(spend.getName())
                .spendDay(spend.getSpendDay())
                .price(spend.getPrice())
                .spendTime(spend.getSpendTime())
                .build();
    }

}
