package com.muyu.market.server.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.market.server.util.SelectIDCardUtil;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;


@Slf4j
@RestController
@RequestMapping("/idcard")
@Tag(name = "第三方身份证接口",description = "接口")
@RequiredArgsConstructor
public class SelectIDCardController {
    /**第三方身份证接口
     *
     * @param name 姓名
     * @param idcard 身份证
     * @return
     */
    @PostMapping("/idcardSelect")
    @Operation(summary = "查询身份证",description = "查询身份证")
    public Result selparty(@RequestParam("name") String name,@RequestParam("idcard") String idcard ){
        try {
            Result main = SelectIDCardUtil.main(name, idcard);
            return Result.success(main);
        } catch (Exception e) {
            return Result.error(e);
        }

    }



}
