package com.muyu.market.server.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.common.security.utils.SecurityUtils;
import com.muyu.common.system.domain.LoginUser;
import com.muyu.market.admain.SysUser;
import com.muyu.market.server.service.SysUserService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import java.math.BigDecimal;

@RestController
@RequestMapping("/sysUser")
@Tag( name = "个人信息控制层",description = "用于操作用户个人信息")
public class SysUserController {
    @Autowired
    private SysUserService sysUserService;


    @PostMapping("/findById")
    @Operation(summary = "显示用户信息",description = "显示用户基本信息")
    public Result<SysUser> findById(){
        LoginUser loginUser = SecurityUtils.getLoginUser();
        System.out.println(loginUser);
        SysUser byId = sysUserService.getById(loginUser.getUserid() );
        return Result.success(byId);
    }
    //充值
    @PostMapping("/updSysUserMoney")
    @Operation(summary = "充值",description = "通过修改余额达到充值效果")
    public Result updSysUserMoney(@Validated @RequestBody SysUser sysUser){
        Integer i = sysUserService.updSysUserMoney( sysUser );
        return i>0?Result.success():Result.error(500,"充值失败 请联系管理员");
    }
    //支付
    @PostMapping("/paySysUserMoney")
    @Operation(summary = "支付",description = "通过修改余额达到支付效果")
    public Result paySysUserMoney(@Validated @RequestParam("price") BigDecimal price){
        Integer i = sysUserService.paySysUserMoney( price );
        return i>0?Result.success():Result.error(500,"充值失败 请联系管理员");
    }

}
