package com.muyu.market.server.service.Impl;


import com.muyu.market.admain.BasicApi;
import com.muyu.market.admain.request.RealNameRequest;
import com.muyu.market.admain.response.RealNameResponse;
import com.muyu.market.server.remote.AliRemoteService;
import com.muyu.market.server.remote.JuHeRemoteService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashSet;
import java.util.Set;


@Service
public class RealNameServiceImpl implements BasicApi<RealNameRequest, RealNameResponse> {
    @Autowired
    private JuHeRemoteService juHeRemoteService;
    @Autowired
    private AliRemoteService aliRemoteService;
//    @Autowired
//    private UserMapper userMapper;


    private static final Set<String> realNameSet=new HashSet<>(){{
        add("张三-123456789123456712");
        add("李四-123456789123456713");
        add("王五-123456789123456714");
        add("赵六-123456789123456715");
        add("田七-123456789123456716");
    }};
    @Override
    public RealNameResponse send(RealNameRequest realNameReq) {

        //改为去数据库查询
        String nameAndIdCard = realNameReq.getName() + "-" + realNameReq.getIdCard();
        if (realNameSet.contains(nameAndIdCard)) {
            // 如果存在，则返回验证失败的消息
            return RealNameResponse.builder()
                    .code(0)
                    .msg("验证成功")
                    .build();
        }


        //主从辅
        //假设聚合是主，阿里是从
        RealNameResponse realNameResp = juHeRemoteService.realName(realNameReq);
        if (!realNameResp.getCode().equals(0) && !realNameResp.getMsg().equals("成功")){
            RealNameResponse realNameResp1 = aliRemoteService.realName(realNameReq);
            if (!realNameResp1.getCode().equals(1) && !realNameResp1.getMsg().equals("认证成功")){
                throw new RuntimeException("线路正在抢修中！！！");
            }
            return realNameResp1;
        }else {
            return realNameResp;
        }

    }
}
