package com.muyu.market.server.service.Impl;


import com.alibaba.nacos.common.utils.StringUtils;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.market.admain.Spend;
import com.muyu.market.admain.request.SpendReq;
import com.muyu.market.admain.response.SpendResp;
import com.muyu.market.server.mapper.SpendMapper;
import com.muyu.market.server.service.SpendService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;

@Service
public class SpendServiceImpl extends ServiceImpl<SpendMapper, Spend> implements SpendService {


    @Autowired
    private SpendMapper spendMapper;

    @Override
    public List<SpendResp> findBySpendList(SpendReq spendReq) {

        LambdaQueryWrapper<Spend> spendLambdaQueryWrapper = new LambdaQueryWrapper<>();
        /**
         * 消费记录模块名称模糊查询
         */
        if (StringUtils.isNotBlank( spendReq.getName())){
            spendLambdaQueryWrapper.like( Spend::getName,spendReq.getName());
        }

        List<Spend> spendList = this.list(spendLambdaQueryWrapper);

        return spendList.stream()
                .map(SpendResp::selSpendList)
                .collect(Collectors.toList());

    }
}
