package com.muyu.market.server.service.Impl;

import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.security.utils.SecurityUtils;
import com.muyu.common.system.domain.LoginUser;
import com.muyu.market.admain.SysUser;
import com.muyu.market.server.mapper.SysUserMapper;
import com.muyu.market.server.service.SysUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;

@Service
public class SysUserServiceImpl extends ServiceImpl<SysUserMapper, SysUser> implements SysUserService {

    @Autowired
    private SysUserMapper sysUserMapper;

    //充值余额
    @Override
    public Integer updSysUserMoney(SysUser sysUser) {
        LoginUser loginUser = SecurityUtils.getLoginUser();
        UpdateWrapper<SysUser> sysUserUpdateWrapper = new UpdateWrapper<>();
        UpdateWrapper<SysUser> money = sysUserUpdateWrapper.setSql("money=money+"+sysUser.getMoney()).
                eq( "user_id",loginUser.getUserid() );
        return sysUserMapper.update( money );
    }
    //fufei
    @Override
    public Integer paySysUserMoney(BigDecimal price) {
//        获取操作人信息
        LoginUser loginUser = SecurityUtils.getLoginUser();
//        编译执行器
        UpdateWrapper<SysUser> sysUserUpdateWrapper = new UpdateWrapper<>();
        //价钱
//        BigDecimal moneyReq = sysUser.getMoney();
        //查询登录人信息
        SysUser user = selectByUserId( Math.toIntExact( loginUser.getUserid() ) );
        //用户余额
        BigDecimal userMoney = user.getMoney();
        int i = userMoney.compareTo( price );
        if (i < 0) {
            throw new RuntimeException("余额不足 请充值");
        }
        UpdateWrapper<SysUser> money = sysUserUpdateWrapper.setSql("money=money-"+price).
                eq( "user_id",user.getUserId() );
        return sysUserMapper.update( money );
    }
    //回显用户信息
    @Override
    public SysUser selectByUserId(Integer userId) {
        return sysUserMapper.selectById( userId );
    }
}
